NX Open C++ Reference Guide
|
Used to supply the list of corner cut locations and seam curves to the @link Features::ShipDesign::CornerCutBuilder Features::ShipDesign::CornerCutBuilder@endlink <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCornerCutListitemBuilder Features::ShipCollection::CreateCornerCutListitemBuilder @endlink <br>
Created in NX8.5.0.
More...
Public Member Functions | |
NXOpen::Point * | CornerPoint () |
Returns the corner point as the cut location. | |
NXOpen::SelectTaggedObject * | SeamCurve () |
Returns the seam curve to resize the corner cut. | |
void | SetCornerPoint (NXOpen::Point *weldLocation) |
Sets the corner point as the cut location. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to supply the list of corner cut locations and seam curves to the @link Features::ShipDesign::CornerCutBuilder Features::ShipDesign::CornerCutBuilder@endlink <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCornerCutListitemBuilder Features::ShipCollection::CreateCornerCutListitemBuilder @endlink <br>
Created in NX8.5.0.
NXOpen::Point* NXOpen::Features::ShipDesign::CornerCutListItemBuilder::CornerPoint | ( | ) |
Returns the corner point as the cut location.
The corner point is used only when the placement type is using corner.
Created in NX8.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::CornerCutListItemBuilder::SeamCurve | ( | ) |
Returns the seam curve to resize the corner cut.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::CornerCutListItemBuilder::SetCornerPoint | ( | NXOpen::Point * | weldLocation | ) |
Sets the corner point as the cut location.
The corner point is used only when the placement type is using corner.
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
weldLocation | weldlocation |